import { AppBar, Button, Toolbar } from '@mui/material';
import { Box } from '@mui/system';
import MonthAndYearInfo from './MonthAndYearInfo/MonthAndYearInfo';

function MonthCalendarHeader({ currentMonthString, decrementMonth, incrementMonth, calendarType, onChangeWorkerHandler, onChangeCalendarTypeHandler, worker, year, setModal }) {

  return (
    <>
      <Box sx={{ flexGrow: 1 }}>
        <AppBar position="static">
          <Toolbar>

            <MonthAndYearInfo
              currentMonthString={currentMonthString}
              decrementMonth={decrementMonth}
              incrementMonth={incrementMonth}
              year={year}
            />

            <div style={{ marginLeft: '20px' }}>
              <Button
                onClick={()=>{setModal((prevState)=>!prevState)}}
                color="inherit"
                size="large"
              >
                Выбрать сотрудника
              </Button>
            </div>
          </Toolbar>
        </AppBar>
      </Box>
    </>
  );
}

export default MonthCalendarHeader;